Bug 1120785 - Investigate Kerberized NFS4 setup with the new NFS plugin
Summary: Investigate Kerberized NFS4 setup with the new NFS plugin
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Roland Mainz
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 16:48 UTC by Dmitri Pal
Modified: 2015-09-08 17:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-25 13:05:53 UTC


Attachments (Terms of Use)

Description Dmitri Pal 2014-07-17 16:48:55 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2376

There is a new NFS plugin on the list, pending review. At the same time, some users on freeipa-users list have been complaining about difficulties getting NFS server working with IPA-AD trusts.

At the very least, completing this ticket would make for a nice HOWTO or a blog post.

Comment 1 Jakub Hrozek 2014-07-18 06:33:43 UTC
To test the plugin, create an idmap configuration such as:

---------------------
[General]
Verbosity = 0            # change to a higher value to debug
Domain = ipa.example.com # change to your sssd domain accordingly

[Mapping]
Nobody-User = nfsnobody
Nobody-Group = nfsnobody

[Translation]
Method = sss_nfs

[Static]
------------------------

Comment 2 Jakub Hrozek 2014-11-13 15:06:22 UTC
Giving to Roland, since he was the one who did the sssd upstream review and testing of the NFS plugin.

Comment 3 Jakub Hrozek 2014-11-25 13:05:53 UTC
The result of this work will be an upstream wiki page, we don't need to keep a RHEL tracker around.


Note You need to log in before you can comment on or make changes to this bug.